SplFileObject::next
SplFileObject::seek
SplFileObject
PHP Manual

# SplFileObject::rewind

Rewind the file to the first line

### Description

public void SplFileObject::rewind ( void )

Rewinds the file back to the first line.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Errors/Exceptions

Throws a RuntimeException if cannot be rewound.

### Examples

Example #1 SplFileObject::rewind example

`<?php
$file = new SplFileObject("misc.txt");
// Loop over whole file
foreach ($file as $line) { }
// Rewind to first line
$file->rewind();
// Output first line
echo $file->current();
?>`

### See Also

- SplFileObject::current
- SplFileObject::key
- SplFileObject::seek
- SplFileObject::next
- SplFileObject::valid